/*
 
 */

#ifndef SETUP_H
#define SETUP_H

#include <avr/io.h>

// SPI transfer 1 byte and return the result
uint8_t spi_transfer(uint8_t data);

// Write data using SPI
void spi_write_data(uint8_t * dataout, uint8_t len);

// Read data using SPI
void spi_read_data(uint8_t * datain, uint8_t len);

// Initialise the SPI
void spi_init(void);

// Setup the ATtiny
void setup(void);
#endif